Bug 420961 - Driver sky2 lost support for Marvell 88E8056 network controller
Driver sky2 lost support for Marvell 88E8056 network controller
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 00:10 EST by Stanislav Sukholet
Modified: 2014-06-29 18:59 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:42:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Sukholet 2007-12-12 00:10:45 EST
Description of problem:
Driver sky2 in new kernel (2.6.18-53.1.4.el5) lost support of Marvell Technology
Group Ltd. 88E8056 PCI-E Gigabit Ethernet Controller (rev 12) (PCI ID: 11ab:4364)
previous kernel (kernel-2.6.18-8.1.15.el5) works just fine.
Comment 1 Andy Gospodarek 2007-12-13 11:30:14 EST
This was removed because it was known to cause data corruption issues.  It seems
this problem has been narrowed down a few specific motherboards.  The following
upstream patch has re-enabled that hardware.


commit 44a1d2e5c5c935fff3a093a1bcede32912c76421
Author: Stephen Hemminger <shemminger@linux-foundation.org>
Date:   Mon Apr 30 14:23:49 2007 -0700

    sky2: re-enable 88E8056 for most motherboards

    This fixes the regression in 2.6.21 for users with 88e8056 on motherboard.
    Allow all but the Gigabyte motherboard has some unresolved bus problems.

    Signed-off-by: Stephen Hemminger <shemminger@linux-foundation.org>
    Signed-off-by: Jeff Garzik <jeff@garzik.org>

Do you happen to use a Gigabyte motherboard?
Comment 2 Stanislav Sukholet 2007-12-13 19:58:30 EST
No, it's ASUS P5B Deluxe MB
Comment 3 Stanislav Sukholet 2007-12-13 20:25:33 EST
As far as I understand, everybody can add sky2 module in HIS OWN
modprobe.conf/blacklist file and disable it? 
I've seen bug about data corruption in gigabyte mb's, but never has such problem
with my ASUS P5B motherboard.
How I can enable this driver in my rpm-based kernel?
Comment 4 Andy Gospodarek 2007-12-13 21:05:08 EST
You should be able to do the following:

# modprobe sky2
# echo "11ab 4364" > /sys/bus/pci/drivers/sky2/new_id

and then you can test out the sky2 driver on your hardware and make sure it
still works well.  An additional ethernet device should now appear on your system.

I will also try and get the patch that enables this hardware added to me test
kernels soon so you can try it out there as well.

Comment 6 Andy Gospodarek 2007-12-20 16:40:17 EST
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.
Comment 7 RHEL Product and Program Management 2008-02-01 17:38:56 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Andy Gospodarek 2008-02-26 16:45:29 EST
Stanislav,

Have you tried any of my test kernels here:

http://people.redhat.com/agospoda/#rhel5

Does your card now work on this system?
Comment 11 Guy Streeter 2008-02-27 12:44:41 EST
Does this need more feedback, or can the needinfo be cancelled?
Comment 13 Larry Troan 2008-03-10 13:12:28 EDT
Bug is in NEEDINFO. Why is the Issue Tracker "Waiting on Tech"?
Comment 14 Andy Gospodarek 2008-03-10 14:35:15 EDT
It appears the original reporter has not replied to my request for testing, but
someone did report it worked from the IT-attached ticket.
Comment 15 RHEL Product and Program Management 2008-03-10 14:49:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Stanislav Sukholet 2008-03-16 22:50:31 EDT
I've tested your kernel. Driver loads, says that everything is OK but in 1
second says that link is down.
I'm using "bonding" with active-backup mode.

Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: Adding slave eth1.          
                                              
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: enabling interface               
                                              
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: ram buffer 0K                    
                                              
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: enslaving eth1 as a backup
interface with a down link.
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is up at 100 Mbps, full
duplex, flow control rx
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely up for
interface eth1.
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: making interface eth1 the new
active one.
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: first active interface up!  
                                              
Mar 17 08:39:31 SukholetSI kernel: skge eth0: Link is up at 1000 Mbps, full
duplex, flow control both
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely up for
interface eth0.
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: making interface eth0 the new
active one.
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is down.                    
                                              
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely down
for interface eth1, disabling it
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is up at 100 Mbps, full
duplex, flow control rx
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely up for
interface eth1.
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is down.
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely down
for interface eth1, disabling it               
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is up at 100 Mbps, full
duplex, flow control rx                            
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely up for
interface eth1.                              
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is down.                    
                                              
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely down
for interface eth1, disabling it               
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is up at 100 Mbps, full
duplex, flow control rx                            
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely up for
interface eth1.                              
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is down.                    
                                              
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely down
for interface eth1, disabling it               
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is up at 100 Mbps, full
duplex, flow control rx                            
Mar 17 08:39:31 SukholetSI kernel: bonding: bond0: link status definitely up for
interface eth1.
Mar 17 08:39:31 SukholetSI kernel: sky2 eth1: Link is down. 
Comment 17 Andy Gospodarek 2008-03-17 09:21:53 EDT
Does the link continue to flap when not using bonding?
Comment 18 Stanislav Sukholet 2008-03-18 05:59:01 EDT
no, without bonding this card works just fine. 
Flood ping, large(>1G) ftp transfers (with binary compare of transferred files),
etc - everything is ok.
Comment 19 Andy Gospodarek 2008-03-18 11:22:59 EDT
Can you post your bonding configuration (the contents of /etc/modprobe.conf)?

Also, please set the status to 'NEEDINFO -> Assignee' if you get test failures
-- FAILS_QA is typically used for test failures after the code has been
committed to our trees, so it doesn't apply for this case.

Thanks for the testing and quick feedback!
Comment 20 Andy Gospodarek 2008-03-18 11:23:38 EDT
Sorry since this is rhel5 please post ifcfg-bond0 as well (since it's really the
proper place to configure bonding).
Comment 21 Stanislav Sukholet 2008-03-18 22:49:09 EDT
I'm sorry, there was a cryptic string in modprobe.conf, which makes such error
with bonding:

#install sky2 /sbin/modprobe --ignore-install sky2 || echo "11ab 4364" >
/sys/bus/pci/drivers/sky2/new_id

I've added this string to test sky2 with previous kernel.
So I've disabled it and everything is Ok (ping, large file transfers, bonding
NIC failover).

Just one thing remain to be fixed: This card have 2 LEDs - one for connectivity
(off, yellow for 100mbit and green for 1000) and one for activity. 

Unfortunately, connectivity always yellow even with gigabit connectivity and
activity blinks once when cable is plugged in and turns off later. This is quite
unconvinient.


Comment 22 Andy Gospodarek 2008-03-19 07:57:05 EDT
Glad to hear bonding is working.  That LED problem does sound quite annoying. 
There is an LED management patch that is upstream that could be tried:

commit a84d0a3d6909c871bfa617a45a7517ce9292d4fb
Author: Stephen Hemminger <shemminger@linux-foundation.org>
Date:   Fri Feb 22 16:00:33 2008 -0800

    sky2: fix LED management

    Fix problems in LED management, so ethtool -p works correctly on Yukon-EC
    and other chips. The driver was incorrectly setting the PHY LED overide bits.
    Moral: read the spec sheet, not the vendor driver.

I can try and add that to my test kernels and post here when they are available.
Comment 23 Stanislav Sukholet 2008-03-19 22:35:36 EDT
Will wait for new kernel and promise to test it 
Comment 24 Andy Gospodarek 2008-03-27 17:45:42 EDT
My test kernels have been updated to include a patch for this bugzilla.

http://people.redhat.com/agospoda/#rhel5

Please test them and report back your results.
Comment 25 Stanislav Sukholet 2008-03-28 02:06:34 EDT
nothing changed, just as in previous version
Comment 26 Andy Gospodarek 2008-03-28 09:12:06 EDT
Ok, thanks for the update.  

The LEDs seem to work find on my DLink DGE-560T, so can you tell me what card
you are using?
Comment 27 Andy Gospodarek 2008-03-28 09:15:59 EDT
Sorry ignore my request in comment #26, I see in comment #1 that you are using
a 	88E8056 PCI-E Gigabit Ethernet Controller.
Comment 29 bvermeul 2008-07-09 19:05:26 EDT
Just to confirm that your test kernel enables my 88E8056 controller again. I've
got a ShuttleXPC K45 barebones, with said controller.

Just wanted to let you know, as you requested on your page.
Comment 30 Andy Gospodarek 2008-07-14 09:50:25 EDT
Thanks for the feedback.  Glad to hear it is working with the test kernel.  We
hope to include support for this hardware in our next update cycle (RHEL5.3).
Comment 31 Stanislav Sukholet 2008-07-18 03:36:45 EDT
ok. now I have time to test 2.6.18-94.el5.gtest.49
sky2 card is working fine "out of the box" BUT:
LED is broken. Activity LED blink once just when cable is plugged, all other
time is off. Network speed is always yellow, 100/1000 Mbps - without difference.
Comment 32 Andy Gospodarek 2008-07-18 14:19:58 EDT
That is odd.  I have a PCIe-based sky2 card and I'll check out those LEDs to see
how they look.  Can you send me the PCI ID for that card (lspci output is fine)?
Comment 33 Andy Gospodarek 2008-07-18 14:24:40 EDT
Ignore the request for PCI IDs -- I remember they are listed above.
Comment 37 Don Zickus 2008-09-11 15:41:49 EDT
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 42 errata-xmlrpc 2009-01-20 14:42:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.